<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="net.ayokemasjid.adminapp.ui.berita.BeritaViewModel"/>
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/root_layout"
        tools:context="net.ayokemasjid.adminapp.ui.berita.AddBeritaActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:elevation="6dp"
                app:navigationIcon="@drawable/ic_arrow_back_black_24dp"
                app:title="Tambah Berita"
                app:titleTextColor="#2F3542"/>

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Judul Berita"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etTitle"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi judul berita"
                                android:inputType="textPersonName"
                                android:text="@={viewmodel.title}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Kategori Berita"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:minHeight="40dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_marginStart="9dp"
                            android:layout_marginEnd="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:focusable="true">

                            <Spinner
                                android:id="@+id/spinnerJenisBerita"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:theme="@style/spinner_theme"
                                android:fontFamily="@font/roboto"
                                android:textSize="14sp"
                                android:spinnerMode="dropdown"
                                />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:id="@+id/tvGambarUtama"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Gambar Utama"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <LinearLayout
                        android:id="@+id/tvInfoGambar"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.cardview.widget.CardView
                            android:foreground="?selectableItemBackground"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:cardCornerRadius="5dp"
                            android:backgroundTint="@color/colorPrimary"
                            android:clickable="true"
                            android:focusable="true"
                            android:layout_marginStart="28dp"
                            android:background="?android:attr/selectableItemBackground"
                            android:id="@+id/buttonPilihGambar">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/roboto_bold"
                                android:layout_marginStart="12dp"
                                android:layout_marginEnd="12dp"
                                android:layout_marginTop="6dp"
                                android:layout_marginBottom="6dp"
                                android:text="Pilih Gambar"
                                android:textSize="14sp"
                                android:textColor="@color/white"
                                />

                        </androidx.cardview.widget.CardView>

                        <LinearLayout
                            android:layout_gravity="center_vertical"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:layout_marginStart="11dp"
                            android:layout_marginEnd="27dp"
                            android:gravity="center_vertical">

                            <ImageView
                                android:layout_marginTop="0.5dp"
                                android:layout_width="14dp"
                                android:layout_height="14dp"
                                android:src="@drawable/icon_info"/>

                            <TextView
                                android:layout_marginStart="4dp"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/roboto"
                                android:textColor="@color/dark_soft"
                                android:textSize="12sp"
                                android:text="Gambar tidak dapat diubah/hapus"/>

                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="20dp"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginTop="10dp"
                        android:orientation="vertical"
                        android:visibility="gone"
                        tools:visibility="gone"
                        android:id="@+id/layout_preview">

                        <LinearLayout
                            android:id="@+id/buttonRemoveImage"
                            android:layout_gravity="center_vertical"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:layout_marginStart="11dp"
                            android:layout_marginEnd="27dp"
                            android:layout_marginBottom="5dp"
                            android:gravity="center_vertical">

                            <ImageView
                                android:layout_marginTop="1.5dp"
                                android:layout_width="14dp"
                                android:layout_height="14dp"
                                android:src="@drawable/ic_clear"/>

                            <TextView
                                android:layout_marginStart="1dp"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/roboto"
                                android:textColor="@color/black"
                                android:textSize="12sp"
                                android:text="remove"/>

                        </LinearLayout>

                        <FrameLayout
                            android:background="@drawable/border"
                            android:padding="4dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_marginBottom="5dp">

                            <ImageView
                                android:layout_gravity="center"
                                android:layout_width="wrap_content"
                                android:layout_height="200dp"
                                android:id="@+id/preview_image"
                                app:mapbox_cameraZoom="12"
                                />

                        </FrameLayout>

                    </LinearLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Isi Berita"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="20dp"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:orientation="vertical"
                        android:id="@+id/layout_content">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_marginBottom="5dp">

                            <LinearLayout
                                android:orientation="vertical"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">

                                <HorizontalScrollView
                                    android:id="@+id/svEditor"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:background="@color/colorPrimary">

                                    <LinearLayout
                                        android:orientation="horizontal"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content">

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_undo"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/undo" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_redo"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/redo" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_bold"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/bold" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_italic"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/italic" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_strikethrough"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/strikethrough" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_underline"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/underline" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading1"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h1" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading2"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h2" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading3"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h3" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading4"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h4" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading5"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h5" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_heading6"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/h6" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_txt_color"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/txt_color" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_indent"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/indent" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_outdent"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/outdent" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_align_left"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/justify_left" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_align_center"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/justify_center" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_align_right"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/justify_right" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_bullets"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/bullets" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_numbers"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/numbers" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_blockquote"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/blockquote" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_image"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/insert_image" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_audio"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/music" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_video"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/video" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_youtube"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/youtube" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_link"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@drawable/insert_link" />

                                        <ImageButton
                                            android:foreground="?selectableItemBackground"
                                            android:id="@+id/action_insert_checkbox"
                                            android:layout_width="42dp"
                                            android:layout_height="42dp"
                                            android:background="@null"
                                            android:contentDescription="@null"
                                            android:src="@android:drawable/checkbox_on_background" />

                                    </LinearLayout>
                                </HorizontalScrollView>

                                <RelativeLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:background="@drawable/bg_round_bottom"
                                    android:backgroundTint="@color/gray_background">

                                    <jp.wasabeef.richeditor.RichEditor
                                        android:focusable="true"
                                        android:focusableInTouchMode="true"
                                        android:layout_marginBottom="20dp"
                                        android:id="@+id/editor"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content" />

                                </RelativeLayout>

                            </LinearLayout>

                        </FrameLayout>

                    </LinearLayout>

                    <Button
                        android:id="@+id/buttonAddBerita"
                        android:layout_marginStart="11dp"
                        android:layout_marginEnd="11dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="22dp"
                        android:fontFamily="@font/roboto_bold"
                        android:text="Tambah"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="18sp" />

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

        </LinearLayout>

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|center_vertical"
            android:visibility="invisible" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>